Bug 22702 - Installer hang on AlphaServer 2100 4/275
Installer hang on AlphaServer 2100 4/275
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.0
alpha Linux
medium Severity high
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-21 18:13 EST by David Dillow
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-11 14:28:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/proc/cpuinfo (488 bytes, text/plain)
2001-01-02 18:03 EST, David Dillow
no flags Details
dmesg output (9.85 KB, text/plain)
2001-01-02 18:03 EST, David Dillow
no flags Details

  None (edit)
Description David Dillow 2000-12-21 18:13:30 EST
This first shows up in the installer, but I'm not sure where the fault
lies.

Anaconda hangs just after finding the mouse, but before it writes the
XF86Config file. I've tracked this down, and line 79 (approx:
"time.sleep(2)") in xserver.py is the culprit. But this only gets one a bit
further in the process before it locks again, after setting the root
password. Hardcoding the initial salt gets one further still (whrandom call
in class Password). Hacking out most of the Progress indicator code gets
one to the post-install scripts, provided no package uses "awk" in their
scripts. Then it hangs up in mkinitrd (uses awk), which can be safely
killed, and you then have a bootable system.

The following python script will hang in both the install environment, and
the 2.2 kernel installed (haven't had a chance to try the current 2.4
test.) 

cat > test.py <<EOF
import time
time.sleep(1)
EOF

Also, mkinitrd (awk is likely suspect) will also hang in the installed
environment. This is repeatable with the original glibc, and with
glibc-2.2-9.
Comment 1 Bill Nottingham 2000-12-22 00:20:41 EST
This is an EV4 machine, correct?
Comment 2 David Dillow 2000-12-22 19:51:21 EST
Yes, EV45, I believe -- (on vacation until next year, so may be slow to get more
info).
Comment 3 David Dillow 2001-01-02 18:03:11 EST
Created attachment 6983 [details]
/proc/cpuinfo
Comment 4 David Dillow 2001-01-02 18:03:41 EST
Created attachment 6984 [details]
dmesg output
Comment 5 David Dillow 2001-01-02 18:07:32 EST
The commad "awk '{ if ($2 == "/") { print $1; }}' /etc/fstab" from mkinitrd is
the one that hangs up.

Running strace on it, I see that it hangs up after the "ioctl(1, TCGETS...."
call returns.
Comment 6 Phil Copeland 2001-06-04 14:19:41 EDT
Don't have an ev4 box to test this on..
[root@alpha /root]# awk '{ if ($2 == "/") { print $1; }}' /etc/fstab
LABEL=/


Given the dates, can I assume this one is now resolved?

Note You need to log in before you can comment on or make changes to this bug.